Bug 185881 - [patch] dns/ddclient does not start after update to 3.8.2
Summary: [patch] dns/ddclient does not start after update to 3.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-19 16:10 UTC by mjl
Modified: 2014-01-20 04:30 UTC (History)
0 users

See Also:


Attachments
patch-ddclient (2.13 KB, text/plain)
2014-01-19 16:10 UTC, mjl
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mjl 2014-01-19 16:10:00 UTC
with the recent update to net/ddclient, the script looks for its configuration
file at /usr/local/etc/ddclient/ddclient.conf, but the port is directing the
user to /usr/local/etc/ddclient.conf

Starting ddclient.
WARNING:  file /usr/local/etc/ddclient/ddclient.conf: Cannot open file '/usr/local/etc/ddclient/ddclient.conf'. (No such file or directory)
stat() on closed filehandle FD at /usr/local/sbin/ddclient line 1003.
Use of uninitialized value $mode in bitwise and (&) at /usr/local/sbin/ddclient line 1004.
readline() on closed filehandle FD at /usr/local/sbin/ddclient line 1016.
WARNING:  file /usr/local/etc/ddclient/ddclient.conf: Cannot open file '/usr/local/etc/ddclient/ddclient.conf'. (No such file or directory)
stat() on closed filehandle FD at /usr/local/sbin/ddclient line 1003.
Use of uninitialized value $mode in bitwise and (&) at /usr/local/sbin/ddclient line 1004.
readline() on closed filehandle FD at /usr/local/sbin/ddclient line 1016.
/usr/local/etc/rc.d/ddclient: WARNING: failed to start ddclient

Fix: the attached patch updates the port to what ddclient expects.  an entry
in ports/UPDATING probably would be a good idea.  alternatively, the
script could be changed to look in the old configuration file location.

the patch also offers to take maintainer.
How-To-Repeat: Update from 3.8.1_1 to 3.8.2 and restart ddclient
Comment 1 Martin Wilke freebsd_committer 2014-01-19 16:30:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

please have a look
Comment 2 Mark Linimon 2014-01-19 18:25:33 UTC
----- Forwarded message from "Danilo E. Gondolfo" <danilo@freebsd.org> -----

Date: Sun, 19 Jan 2014 16:07:14 -0200
From: "Danilo E. Gondolfo" <danilo@freebsd.org>
To: miwi@FreeBSD.org, freebsd-ports-bugs@FreeBSD.org, mjl@luckie.org.nz, KATO Tsuguru <tkato432@yahoo.com>
Subject: Re: ports/185881: [patch] dns/ddclient does not start after update to 3.8.2
User-Agent: Mozilla/5.0 (X11; FreeBSD amd64; rv:24.0) Gecko/20100101 Thunderbird/24.2.0

Matthew, please, can you test this patch?

I think that is better keep the config file in the original path.

Index: Makefile
===================================================================
--- Makefile	(revision 340325)
+++ Makefile	(working copy)
@@ -39,7 +39,7 @@
 		's|/usr|${PREFIX}|g'
 	@${REINPLACE_CMD} -e \
 		's|%%PERL%%|${PERL}| ; \
-		 s|%%ETCDIR%%|${ETCDIR}| ; \
+		 s|%%ETCDIR%%|${PREFIX}/etc| ; \
 		 s|%%LOCALBASE%%|${LOCALBASE}|' ${WRKSRC}/ddclient
 
 do-install:

_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"


----- End forwarded message -----
Comment 3 dfilter service freebsd_committer 2014-01-19 18:43:02 UTC
Author: danilo
Date: Sun Jan 19 18:42:54 2014
New Revision: 340335
URL: http://svnweb.freebsd.org/changeset/ports/340335
QAT: https://qat.redports.org/buildarchive/r340335/

Log:
  - Fix a problem with the config files path.
  
  PR:		ports/185881
  Submitted by:	Matthew Luckie <mjl@luckie.org.nz>

Modified:
  head/dns/ddclient/Makefile

Modified: head/dns/ddclient/Makefile
==============================================================================
--- head/dns/ddclient/Makefile	Sun Jan 19 18:40:27 2014	(r340334)
+++ head/dns/ddclient/Makefile	Sun Jan 19 18:42:54 2014	(r340335)
@@ -3,6 +3,7 @@
 
 PORTNAME=	ddclient
 PORTVERSION=	3.8.2
+PORTREVISION=	1
 CATEGORIES=	dns
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
@@ -39,7 +40,7 @@ post-patch:
 		's|/usr|${PREFIX}|g'
 	@${REINPLACE_CMD} -e \
 		's|%%PERL%%|${PERL}| ; \
-		 s|%%ETCDIR%%|${ETCDIR}| ; \
+		 s|%%ETCDIR%%|${PREFIX}/etc| ; \
 		 s|%%LOCALBASE%%|${LOCALBASE}|' ${WRKSRC}/ddclient
 
 do-install:
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Danilo Egea Gondolfo freebsd_committer 2014-01-19 18:45:10 UTC
State Changed
From-To: open->closed

A fix was committed. Thanks!
Comment 5 Mark Linimon 2014-01-19 21:24:30 UTC
----- Forwarded message from Matthew Luckie <mjl@luckie.org.nz> -----

Date: Sun, 19 Jan 2014 10:33:49 -0800
From: Matthew Luckie <mjl@luckie.org.nz>
To: "Danilo E. Gondolfo" <danilo@freebsd.org>
Cc: freebsd-ports-bugs@FreeBSD.org, KATO Tsuguru <tkato432@yahoo.com>, miwi@FreeBSD.org
Subject: Re: ports/185881: [patch] dns/ddclient does not start after update to 3.8.2
User-Agent: Mutt/1.5.22 (2013-10-16)

That worked as well.  Please update.

On Sun, Jan 19, 2014 at 04:07:14PM -0200, Danilo E. Gondolfo wrote:
> Matthew, please, can you test this patch?
> 
> I think that is better keep the config file in the original path.

> Index: Makefile
> ===================================================================
> --- Makefile	(revision 340325)
> +++ Makefile	(working copy)
> @@ -39,7 +39,7 @@
>  		's|/usr|${PREFIX}|g'
>  	@${REINPLACE_CMD} -e \
>  		's|%%PERL%%|${PERL}| ; \
> -		 s|%%ETCDIR%%|${ETCDIR}| ; \
> +		 s|%%ETCDIR%%|${PREFIX}/etc| ; \
>  		 s|%%LOCALBASE%%|${LOCALBASE}|' ${WRKSRC}/ddclient
>  
>  do-install:




----- End forwarded message -----
Comment 6 dfilter service freebsd_committer 2014-01-20 04:23:51 UTC
Author: danilo
Date: Mon Jan 20 04:23:44 2014
New Revision: 340366
URL: http://svnweb.freebsd.org/changeset/ports/340366
QAT: https://qat.redports.org/buildarchive/r340366/

Log:
  - Pass maintainership to submitter. I forgot it on the last commit.
  
  PR:		ports/185881
  Submitted by:	Matthew Luckie <mjl@luckie.org.nz>
  Reported by:	miwi

Modified:
  head/dns/ddclient/Makefile

Modified: head/dns/ddclient/Makefile
==============================================================================
--- head/dns/ddclient/Makefile	Mon Jan 20 02:15:39 2014	(r340365)
+++ head/dns/ddclient/Makefile	Mon Jan 20 04:23:44 2014	(r340366)
@@ -7,7 +7,7 @@ PORTREVISION=	1
 CATEGORIES=	dns
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	mjl@luckie.org.nz
 COMMENT=	Update dynamic DNS entries
 
 LICENSE=	GPLv2
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"